std::ranges::adjacent_transform_view::iterator::operator[](3)

NAME
std::ranges::adjacent_transform_view::iterator::operator[] - std::ranges::adjacent_transform_view::iterator::operator[]

Synopsis
   constexpr decltype(auto) operator[]( difference_type n ) const (since C++23)
       requires ranges::random_access_range<Base>;
   Returns an element at specified relative location.
   Let parent_ and inner_ be the data members of the iterator. Equivalent to:
 return apply([&](const auto&... iters) -> decltype(auto)
              {
                 return invoke(*parent_->fun_, iters[n]...);
              },
              inner_.current_);

Parameters
   n - position relative to current location

Return value
   The element at displacement n relative to the current location.

Example
    This section is incomplete
    Reason: no example

See also
   operator* accesses the element
   (C++23) (public member function)

Category:
     * Todo no example